# Class IllegalDependencyNotation

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.GradleException
org.gradle.api.IllegalDependencyNotation

All Implemented Interfaces:
  `Serializable`

public class IllegalDependencyNotation extends GradleException
This exceptions is thrown, if a dependency is declared with a illegal notation.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IllegalDependencyNotation()`
`IllegalDependencyNotation(String message)`
`IllegalDependencyNotation(String message, Throwable cause)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IllegalDependencyNotation

public IllegalDependencyNotation()

### IllegalDependencyNotation

public IllegalDependencyNotation(String message)

### IllegalDependencyNotation

public IllegalDependencyNotation(String message, Throwable cause)